## Class C39Object

Description

Code 39 Barcode Render Class.
Code 39 is an alphanumeric bar code that can encode decimal number, case alphabet and some special symbols.

- author: Karim Mribti, Nicola Asuni
- version: 0.0.8a 2001-04-01 (original code)
- since: 2001-03-25
- name: BarcodeObject
- license: LGPL

Located in /barcode/c39object.php (line 49)

    BarcodeObject
       |
       --C39Object

Method Summary
C39Object __construct (int $Width, int $Height, int $Style, int $Value)
bool DrawObject (int $xres)
int DrawStart (int $DrawPos, int $yPos, int $ySize, int $xres)
int DrawStop (int $DrawPos, int $yPos, int $ySize, int $xres)
int GetCharIndex (char $char)
barcode GetSize (int $xres)
Variables

#### Inherited Variables

Inherited from BarcodeObject

> BarcodeObject::$mBgcolor
> BarcodeObject::$mBrush
> BarcodeObject::$mChars
> BarcodeObject::$mCharSet
> BarcodeObject::$mError
> BarcodeObject::$mFont
> BarcodeObject::$mHeight
> BarcodeObject::$mImg
> BarcodeObject::$mStyle
> BarcodeObject::$mWidth

Methods
Constructor __construct (line 58)

Class Constructor.

- access: public

C39Object __construct (int $Width, int $Height, int $Style, int $Value)

- int $Width: Image width in pixels.
- int $Height: Image height in pixels.
- int $Style: Barcode style.
- int $Value: value to print on barcode.

Redefinition of:

BarcodeObject::__construct()
  Class Constructor.

DrawObject (line 221)

Draws the barcode object.

- return: true in case of success.
- access: public

bool DrawObject (int $xres)

- int $xres: Horizontal resolution.

Redefinition of:

BarcodeObject::DrawObject()
  Abstract method used to draw the barcode image.

DrawStart (line 164)

Draws the start code.

- return: drawing position.
- access: private

int DrawStart (int $DrawPos, int $yPos, int $ySize, int $xres)

- int $DrawPos: Drawing position.
- int $yPos: Vertical position.
- int $ySize: Vertical size.
- int $xres: Horizontal resolution.

DrawStop (line 195)

Draws the stop code.

- return: drawing position.
- access: private

int DrawStop (int $DrawPos, int $yPos, int $ySize, int $xres)

- int $DrawPos: Drawing position.
- int $yPos: Vertical position.
- int $ySize: Vertical size.
- int $xres: Horizontal resolution.

GetCharIndex (line 116)

Returns the character index.

- return: character index or -1 in case of error.
- access: private

int GetCharIndex (char $char)

- char $char: character.

GetSize (line 131)

Returns barcode size.

- return: size.
- access: private

barcode GetSize (int $xres)

- int $xres: Horizontal resolution.

#### Inherited Methods

Inherited From BarcodeObject

> BarcodeObject::__construct()
> BarcodeObject::DestroyObject()
> BarcodeObject::DrawBorder()
> BarcodeObject::DrawChar()
> BarcodeObject::DrawObject()
> BarcodeObject::DrawSingleBar()
> BarcodeObject::DrawText()
> BarcodeObject::FlushObject()
> BarcodeObject::GetError()
> BarcodeObject::GetFontHeight()
> BarcodeObject::GetFontWidth()
> BarcodeObject::getImage()
> BarcodeObject::GetStyle()
> BarcodeObject::SetFont()
> BarcodeObject::SetStyle()
> BarcodeObject::__destructor()

Documentation generated on Tue, 12 Feb 2008 12:36:38 +0100 by phpDocumentor 1.4.0